$(document).ready(function(){

    $(".isotope-container").imagesLoaded(function() {

        $('.isotope-container').isotope({
            itemSelector: '.isotope-element'
        });


    });
    
    $(".isotope-filter a[data-filter]").click(function(e){

        e.preventDefault();

        $(".isotope-filter a[data-filter]").parent().removeClass("active");
        $(this).parent().addClass("active");

        var filter_data = $(this).attr("data-filter");

        var parent = $(this).attr("data-parent");

        
        $(parent).isotope({
            filter: filter_data
            
        });

    });


    function IsotopeResizeItems() {
        //$(".isotope-element").css("width" , "auto");

        $(".isotope-element").each(function(){
            //$(this).width(Math.round($(this).width()));
        });
    }IsotopeResizeItems();

    $(window).resize(function(){
        IsotopeResizeItems();
    });

});